[package]
name = "gstreamer-frame-aligner"
version = "0.0.0"
authors = ["Joao Alves <joao.alves@aivero.com>"]
license = "MIT"
description = "GStreamer plugin to align depth frames to color frames"
keywords = ["GStreamer", "Rust"]
repository = "https://gitlab.com/aivero/open-source/contrib"
edition = "2018"
readme = "README.md"

[dependencies]
gst-depth-meta = { path = "../gst-depth-meta-rs" }
gst = { package = "gstreamer", version = "0.18" }
gst-base = { package = "gstreamer-base", version = "0.18" }
gst-video = { package = "gstreamer-video", version = "0.18" }
nalgebra = { version = "0.29.0", features = ["serde-serialize"] }
serde_yaml = "0.8.15"
once_cell = "1"

[lib]
name = "gstframealigner"
crate-type = ["cdylib"]
path = "src/lib.rs"

